Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class RMISecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.SecurityException
                              |
                              +--java.rmi.RMISecurityException

All Implemented Interfaces:
  Serializable

Deprecated. no replacement. `RMISecurityManager` no longer throws this subclass of `java.lang.SecurityException`.

public class RMISecurityException
extends SecurityException

An `RMISecurityException` signals that a security exception has occurred during the execution of one of `java.rmi.RMISecurityManager`'s methods.

Since:
  JDK1.1
See Also:
  Serialized Form

Constructor Summary
`RMISecurityException(String name)` Deprecated. no replacement
`RMISecurityException(String name, String arg)` Deprecated. no replacement

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMISecurityException

    public RMISecurityException(String name)

  Deprecated. no replacement

  Construct an `RMISecurityException` with a detail message.
  Parameters:
    `name` - the detail message
  Since:
    JDK1.1

### RMISecurityException

    public RMISecurityException(String name,
                                String arg)

  Deprecated. no replacement

  Construct an `RMISecurityException` with a detail message.
  Parameters:
    `name` - the detail message
    `arg` - ignored
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.